summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Menno Duursma2010-07-26 04:30:09 +0200
committer Erik Hanson2010-07-26 04:52:41 +0200
commit6cc4861046c239809f45acc10a070f150dac6618 (patch)
tree9b8f1eac3f80ed234582b97310029c84e6bc6a12 /misc
parent415f77873c20b1b9690e37eed16e5e392342b801 (diff)
downloadslackbuilds-6cc4861046c239809f45acc10a070f150dac6618.tar.gz
misc/authprogs: Added (A script that helps install ssh keys)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/authprogs/README3
-rw-r--r--misc/authprogs/README.SLACKWARE9
-rw-r--r--misc/authprogs/authprogs.SlackBuild36
-rw-r--r--misc/authprogs/authprogs.info10
-rw-r--r--misc/authprogs/slack-desc19
5 files changed, 77 insertions, 0 deletions
diff --git a/misc/authprogs/README b/misc/authprogs/README
new file mode 100644
index 0000000000..05e8ad0413
--- /dev/null
+++ b/misc/authprogs/README
@@ -0,0 +1,3 @@
+Authprogs, software which lets you control which machines can run
+authorized commands via SSH using SSH Identities. See also:
+README.SLACKWARE
diff --git a/misc/authprogs/README.SLACKWARE b/misc/authprogs/README.SLACKWARE
new file mode 100644
index 0000000000..add2b5f6cc
--- /dev/null
+++ b/misc/authprogs/README.SLACKWARE
@@ -0,0 +1,9 @@
+For an example ~/.ssh/authprogs.conf please see:
+
+ head -40 /usr/bin/authprogs
+
+After installation of which you can add command="/usr/bin/authprogs"
+before key declarations in ~/.ssh/authorized_keys2
+
+See also: the src directory upstream or the following article:
+http://www.hackinglinuxexposed.com/articles/20030115.html
diff --git a/misc/authprogs/authprogs.SlackBuild b/misc/authprogs/authprogs.SlackBuild
new file mode 100644
index 0000000000..b0587dcdee
--- /dev/null
+++ b/misc/authprogs/authprogs.SlackBuild
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# Slackware build script for Authprogs
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PRGNAM=authprogs
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+install -D -m0755 $CWD/authprogs $PKG/usr/bin/authprogs
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/authprogs/authprogs.info b/misc/authprogs/authprogs.info
new file mode 100644
index 0000000000..1a6553760c
--- /dev/null
+++ b/misc/authprogs/authprogs.info
@@ -0,0 +1,10 @@
+PRGNAM="authprogs"
+VERSION="0.5"
+HOMEPAGE="http://www.hackinglinuxexposed.com/tools/authprogs/src/"
+DOWNLOAD="http://www.hackinglinuxexposed.com/tools/authprogs/src/authprogs"
+MD5SUM="62ad81de63a84f075ff0c83f5992b071"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Menno Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED=""
diff --git a/misc/authprogs/slack-desc b/misc/authprogs/slack-desc
new file mode 100644
index 0000000000..6f94fd2959
--- /dev/null
+++ b/misc/authprogs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+authprogs: authprogs (A script that helps install ssh keys)
+authprogs:
+authprogs: authprogs is a script that helps an ssh user set up the
+authprogs: keys at both ends of an ssh connection.
+authprogs:
+authprogs: authprogs was written by William Stearns
+authprogs:
+authprogs:
+authprogs:
+authprogs:
+authprogs: